> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Thông tin phiên giao dịch



## OpenAPI

````yaml /vi/openapi/dnse.2026-09-25.openapi.yaml get /market/trading-session
openapi: 3.0.0
info:
  title: DNSE OpenAPI (2026-09-25)
  version: 2.0.0
  description: DNSE OpenAPI spec
servers:
  - url: https://openapi.dnse.com.vn
    description: Production
  - url: https://sb-openapi.dnse.com.vn
    description: Sanbox
security: []
tags:
  - name: trading
    description: Xác thực và các hoạt động đặt lệnh.
    x-group: Giao dịch
  - name: account
    description: Tài khoản, số dư, khoản vay, lệnh và vị thế.
    x-group: Tài khoản
  - name: market
    description: Thông tin mã chứng khoán, báo giá, OHLC và giao dịch.
    x-group: Dữ liệu thị trường
paths:
  /market/trading-session:
    get:
      tags:
        - market
      summary: Thông tin phiên giao dịch
      operationId: market_getTradingSession
      parameters:
        - $ref: '#/components/parameters/XApiKey'
        - $ref: '#/components/parameters/XAuxDate'
        - $ref: '#/components/parameters/XSignature'
        - name: boardId
          in: query
          schema:
            $ref: '#/components/schemas/BoardId'
          description: |-
            Mã bảng giao dịch
            - G1: Lô chẵn
            - G4: Lô lẻ
            - T1: Thỏa thuận trong giờ (9h - 14h45)
            - T3: Thỏa thuận sau giờ (14h45 - 15h)
            - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
            - T6: Thỏa thuận lô lẻ sau giờ  (14h45 - 15h)
          example: G1
        - name: tscProdGrpId
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ProductGrpId'
          description: |-
            Nhóm sản phẩm theo thị trường
            - FBX: Hợp đồng tương lai Trái phiếu
            - FIO: Hợp đồng tương lai Chỉ số
            - HCX: Trái phiếu Doanh nghiệp HNX
            - STO: Cổ phiếu sàn HOSE
            - STX: Cổ phiếu sàn HNX
            - UPX: Cổ phiếu sàn Upcom
          example: STO
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingSessionResponse'
              example:
                tradingSessions:
                  - marketId: STO
                    boardId: G1
                    tscProdGrpId: STO
                    tradingSessionId: '99'
                    eventId: AC2
                    time: '2026-06-26 14:45:00.960'
        '400':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    XApiKey:
      name: X-Api-Key
      in: header
      required: true
      description: >-
        API key được cấp khi đăng ký dịch vụ DNSE OpenAPI.

        Ví dụ:
        `b3JnOmRuc2UgaWQ6MjdlZTc1MzcxZGFkNTY0NmYzYTM2NDk1ZGE3OGNiOGQgaDptdXJtdXIxMjg=`
      schema:
        type: string
    XAuxDate:
      name: X-Aux-Date
      in: header
      required: true
      description: |-
        Thời gian thực hiện request, dùng trong cơ chế ký request của DNSE.
        Ví dụ: `Sat, 01 May 2026 14:24:23 +0000`
      schema:
        type: string
    XSignature:
      name: X-Signature
      in: header
      required: true
      description: >-
        Chữ ký xác thực request được tạo từ API key secret và X-Aux-Date.

        Ví dụ: `Signature
        keyId="b3JnOmRuc2UgaWQ6MjdlZTc1MzcxZGFkNTY0NmYzYTM2NDk1ZGE3OGNiOGQgaDptdXJtdXIxMjg=",algorithm="hmac-sha256",headers="(request-target)
        x-aux-date",signature="rfbVXHDUi%2B%2FsOkLXle7O17Qm%2F05cbISSR%2BDcFrBHfqQ%3D",nonce="4add8c3264e4492b9f8ecde0cf26b523"`
      schema:
        type: string
  schemas:
    BoardId:
      type: string
      description: |-
        Mã định danh bảng giao dịch.

        - `UNSPECIFIED`: Không xác định
        - `AL`: Tất cả bảng
        - `G1`: Lô chẵn
        - `G3`: Board phiên sau giờ (PLO)
        - `G4`: Lô lẻ
        - `T1`: Thỏa thuận lô chẵn 9h-14h45
        - `T3`: Thỏa thuận lô chẵn 14h45-15h
        - `T4`: Thỏa thuận lô lẻ 9h-14h45
        - `T6`: Thỏa thuận lô lẻ 14h45-15h
      enum:
        - UNSPECIFIED
        - AL
        - G1
        - G3
        - G4
        - T1
        - T3
        - T4
        - T6
      x-enum-descriptions:
        - Không xác định
        - Tất cả bảng
        - Lô chẵn
        - Board phiên sau giờ (PLO)
        - Lô lẻ
        - Thỏa thuận lô chẵn 9h-14h45
        - Thỏa thuận lô chẵn 14h45-15h
        - Thỏa thuận lô lẻ 9h-14h45
        - Thỏa thuận lô lẻ 14h45-15h
      x-enum-varnames:
        - UNSPECIFIED
        - AL
        - G1
        - G3
        - G4
        - T1
        - T3
        - T4
        - T6
      example: G1
    ProductGrpId:
      type: string
      description: |-
        Nhóm sản phẩm theo thị trường.

        - `UNSPECIFIED`: Không xác định
        - `FBX`: Hợp đồng tương lai Trái phiếu
        - `FIO`: Hợp đồng tương lai Chỉ số
        - `HCX`: Trái phiếu Doanh nghiệp HNX
        - `STO`: Cổ phiếu sàn HOSE
        - `STX`: Cổ phiếu sàn HNX
        - `UPX`: Cổ phiếu sàn Upcom
      enum:
        - UNSPECIFIED
        - FBX
        - FIO
        - HCX
        - STO
        - STX
        - UPX
      x-enum-descriptions:
        - Không xác định
        - Hợp đồng tương lai Trái phiếu
        - Hợp đồng tương lai Chỉ số
        - Trái phiếu Doanh nghiệp HNX
        - Cổ phiếu sàn HOSE
        - Cổ phiếu sàn HNX
        - Cổ phiếu sàn Upcom
      x-enum-varnames:
        - UNSPECIFIED
        - FBX
        - FIO
        - HCX
        - STO
        - STX
        - UPX
      example: STO
    TradingSessionResponse:
      type: object
      properties:
        tradingSessions:
          type: array
          items:
            $ref: '#/components/schemas/TradingSession'
          example:
            - marketId: STO
              boardId: G1
              tscProdGrpId: STO
              tradingSessionId: '99'
              eventId: AC2
              time: '2026-06-26 14:45:00.960'
          description: ''
    TradingSession:
      type: object
      properties:
        marketId:
          $ref: '#/components/schemas/MarketId'
        boardId:
          $ref: '#/components/schemas/BoardId'
        tscProdGrpId:
          $ref: '#/components/schemas/ProductGrpId'
        tradingSessionId:
          $ref: '#/components/schemas/TradingSessionId'
        eventId:
          $ref: '#/components/schemas/EventId'
        time:
          type: string
          example: '2026-06-26 14:45:00.960'
          description: Thời gian ghi nhận định dạng (YYYY-MM-DD HH:mm:ss.SSS (GMT+7))
    ErrorBody:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          type: integer
          format: int32
          description: Mã HTTP.
          example: 400
        code:
          type: string
          description: Mã lỗi DNSE.
          example: OA-003
        message:
          type: string
          description: Thông điệp lỗi.
          example: Thông tin nhập không hợp lệ
    MarketId:
      type: string
      description: |-
        Mã thị trường.

        - `UNSPECIFIED`: Không xác định
        - `DVX`: Phái sinh sàn HNX
        - `HCX`: Trái phiếu doanh nghiệp sàn HNX
        - `STO`: Cổ phiếu sàn HOSE
        - `STX`: Cổ phiếu sàn HNX
        - `UPX`: Cổ phiếu sàn Upcom
      enum:
        - UNSPECIFIED
        - DVX
        - HCX
        - STO
        - STX
        - UPX
      x-enum-descriptions:
        - Không xác định
        - Phái sinh sàn HNX
        - Trái phiếu doanh nghiệp sàn HNX
        - Cổ phiếu sàn HOSE
        - Cổ phiếu sàn HNX
        - Cổ phiếu sàn Upcom
      x-enum-varnames:
        - UNSPECIFIED
        - DVX
        - HCX
        - STO
        - STX
        - UPX
      example: STO
    TradingSessionId:
      type: string
      description: |-
        Mã phiên giao dịch theo từng mã.

        - `UNSPECIFIED`: Không xác định
        - `10`: ATO
        - `30`: ATC
        - `40`: Phiên liên tục
        - `80`: PCA mã halt
        - `99`: Đóng bảng
      enum:
        - UNSPECIFIED
        - '10'
        - '30'
        - '40'
        - '80'
        - '99'
      x-enum-descriptions:
        - Không xác định
        - ATO
        - ATC
        - Phiên liên tục
        - PCA mã halt
        - Đóng bảng
      x-enum-varnames:
        - UNSPECIFIED
        - V10
        - V30
        - V40
        - V80
        - V99
      example: '99'
    EventId:
      type: string
      description: |-
        Mã sự kiện chuyển trạng thái phiên giao dịch.

        - `AA1`: Bắt đầu phiên khớp lệnh định kỳ mở cửa
        - `AB1`: Bắt đầu phiên khớp lệnh liên tục
        - `AB2`: Kết thúc giao dịch của bảng
        - `AC2`: Thực hiện khớp lệnh định kỳ đóng cửa
        - `AD1`: Bắt đầu nhận lệnh
        - `AD2`: Thực hiện khớp lệnh định kỳ
        - `AW8`: Nghỉ trưa
        - `AW9`: Tiếp tục giao dịch sau nghỉ trưa
        - `AX1`: Bảng giao dịch bắt đầu hoạt động
        - `BB1`: Bắt đầu phiên khớp lệnh liên tục cho chứng khoán thông thường
        - `BC1`: Bắt đầu phiên khớp lệnh định kỳ đóng cửa
        - `CC1`: Bắt đầu phiên PCA đóng cửa
        - `CD1`: Bắt đầu phiên PCA
        - `CD3`: Thực hiện khớp lệnh PCA
      enum:
        - AA1
        - AB1
        - AB2
        - AC2
        - AD1
        - AD2
        - AW8
        - AW9
        - AX1
        - BB1
        - BC1
        - CC1
        - CD1
        - CD3
      x-enum-descriptions:
        - Bắt đầu phiên khớp lệnh định kỳ mở cửa
        - Bắt đầu phiên khớp lệnh liên tục
        - Kết thúc giao dịch của bảng
        - Thực hiện khớp lệnh định kỳ đóng cửa
        - Bắt đầu nhận lệnh
        - Thực hiện khớp lệnh định kỳ
        - Nghỉ trưa
        - Tiếp tục giao dịch sau nghỉ trưa
        - Bảng giao dịch bắt đầu hoạt động
        - Bắt đầu phiên khớp lệnh liên tục cho chứng khoán thông thường
        - Bắt đầu phiên khớp lệnh định kỳ đóng cửa
        - Bắt đầu phiên PCA đóng cửa
        - Bắt đầu phiên PCA
        - Thực hiện khớp lệnh PCA
      x-enum-varnames:
        - AA1
        - AB1
        - AB2
        - AC2
        - AD1
        - AD2
        - AW8
        - AW9
        - AX1
        - BB1
        - BC1
        - CC1
        - CD1
        - CD3
      example: AC2
  responses:
    BadRequest:
      description: Yêu cầu không hợp lệ.
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLength'
        Date:
          $ref: '#/components/headers/Date'
        Vary:
          $ref: '#/components/headers/Vary'
        X-Ratelimit-Limit:
          $ref: '#/components/headers/XRateLimitLimit'
        X-Ratelimit-Remaining:
          $ref: '#/components/headers/XRateLimitRemaining'
        X-Ratelimit-Reset:
          $ref: '#/components/headers/XRateLimitReset'
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
        X-Tyk-Api-Expires:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorBody'
          example:
            status: 400
            code: OA-003
            message: Thông tin nhập không hợp lệ
    InternalError:
      description: Lỗi hệ thống.
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLength'
        Date:
          $ref: '#/components/headers/Date'
        Vary:
          $ref: '#/components/headers/Vary'
        X-Ratelimit-Limit:
          $ref: '#/components/headers/XRateLimitLimit'
        X-Ratelimit-Remaining:
          $ref: '#/components/headers/XRateLimitRemaining'
        X-Ratelimit-Reset:
          $ref: '#/components/headers/XRateLimitReset'
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
        X-Tyk-Api-Expires:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorBody'
          example:
            status: 500
            code: OA-009
            message: Lỗi hệ thống
  headers:
    ContentLength:
      description: Response body size in bytes.
      schema:
        type: integer
      example: 430
    Date:
      description: Response date from the DNSE gateway.
      schema:
        type: string
      example: Wed, 18 Mar 2026 16:17:35 GMT
    Vary:
      description: >-
        Response header indicating the request headers used for content
        negotiation.
      schema:
        type: string
      example: Origin
    XRateLimitLimit:
      description: Maximum number of requests allowed in the current rate-limit window.
      schema:
        type: integer
      example: 300
    XRateLimitRemaining:
      description: Number of requests remaining in the current rate-limit window.
      schema:
        type: integer
      example: 299
    XRateLimitReset:
      description: Unix timestamp at which the current rate-limit window resets.
      schema:
        type: integer
      example: 1773850655
    XRequestId:
      description: Unique identifier assigned to the request by the DNSE gateway.
      schema:
        type: string
      example: unknown

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.